"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setCSSStyling = void 0;
var utils_1 = require("./utils");
function setCSSStyling(styling, component, hideComponent) {
    if (hideComponent === void 0) { hideComponent = true; }
    var defaultStyling = {
        position: 'absolute',
        top: '0',
        left: '0',
        display: 'flex',
        justifyContent: 'center',
    };
    var fullStyling = __assign(__assign({}, defaultStyling), styling);
    Object.keys(fullStyling).forEach(function (value) {
        component.style.setProperty(value, fullStyling[value]);
    });
    component.style.pointerEvents = 'none';
    if (hideComponent) {
        component.setAttribute('aria-hidden', 'true');
        var minZIndex = (0, utils_1.getTheLowestZIndex)();
        var newMinZIndex = minZIndex === Number.parseFloat('0') ? Number.parseFloat('2') : Number.parseFloat("".concat(5 * Math.abs(minZIndex)));
        component.style.zIndex = "-".concat(newMinZIndex);
    }
    else {
        var maxZIndex = (0, utils_1.getTheHighestZIndex)();
        var newMaxZIndex = maxZIndex === Number.parseFloat('0') ? Number.parseFloat('2') : Number.parseFloat("".concat(5 + Math.abs(maxZIndex)));
        component.style.zIndex = "".concat(newMaxZIndex);
    }
}
exports.setCSSStyling = setCSSStyling;
//# sourceMappingURL=css-creator.js.map