"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTheHighestZIndex = exports.getTheLowestZIndex = exports.getFilename = exports.isValidImage = void 0;
function isValidImage(imageURL) {
    if (!imageURL || imageURL.trim().length === 0)
        return false;
    //check for empty base64 string
    return imageURL !== 'data:,';
}
exports.isValidImage = isValidImage;
function getFilename(type, filename) {
    var downloadFilename = filename || "download_".concat(Date.now());
    return "".concat(downloadFilename, ".").concat(type);
}
exports.getFilename = getFilename;
function getTheLowestZIndex() {
    return Math.min.apply(Math, Array.from(document.querySelectorAll('body *'), function (el) {
        return parseFloat(window.getComputedStyle(el).zIndex);
    }).filter(function (zIndex) { return !Number.isNaN(zIndex); }));
}
exports.getTheLowestZIndex = getTheLowestZIndex;
function getTheHighestZIndex() {
    return Math.max.apply(Math, Array.from(document.querySelectorAll('body *'), function (el) {
        return parseFloat(window.getComputedStyle(el).zIndex);
    }).filter(function (zIndex) { return !Number.isNaN(zIndex); }));
}
exports.getTheHighestZIndex = getTheHighestZIndex;
//# sourceMappingURL=utils.js.map